NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.DirectionCollection Class Reference

Represents a collection of NXOpen.Direction . More...

Inheritance diagram for NXOpen.DirectionCollection:

Public Member Functions

NXOpen.Direction[] ToArray ()
 Returns an array of NXOpen.Direction objects. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Point3d origin, NXOpen.Vector3d vector, NXOpen.SmartObject.UpdateOption update)
 Creates a NXOpen.Direction without parameters. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Line line, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using a NXOpen.Line . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.IBaseCurve edge, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using a linear NXOpen.Edge or the axis of a conical NXOpen.Edge . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.DatumAxis datumAxis, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using a NXOpen.DatumAxis . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Routing.ControlPoint startPoint, NXOpen.Routing.ControlPoint endPoint, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using two NXOpen.Routing.ControlPoint s. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Point startPoint, NXOpen.Point endPoint, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using two NXOpen.Point s. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.IParameterizedSurface face, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using the normal of a NXOpen.Face or the axis of a cylindrical NXOpen.Face . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.IBasePlane plane, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using the normal of an NXOpen.IBasePlane . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Sketch plane, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using the normal of a NXOpen.Sketch . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Conic conic, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using the axis of a NXOpen.Conic . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.IBaseCurve icurve, NXOpen.Scalar t, NXOpen.Direction.OnCurveOption option, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.IBaseCurve icurve, NXOpen.Point point, NXOpen.Direction.OnCurveOption option, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction on a NXOpen.ICurve at a NXOpen.Point . More...
 
unsafe NXOpen.Direction CreateDirectionOnPointParentCurve (NXOpen.Point atPoint, NXOpen.IBaseCurve curve, NXOpen.Direction.OnCurveOption option, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction on a parent NXOpen.ICurve of a NXOpen.Point . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a Direction normal to the NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, bool absoluteUv, NXOpen.Direction.OnFaceOption option, NXOpen.Direction sectionDirection, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters with the option of direction on face. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, bool absoluteUv, NXOpen.Scalar sectionAngle, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a sectional NXOpen.Direction on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters and a NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Point atPoint, NXOpen.Face face, NXOpen.Direction.OnFaceOption option, NXOpen.SmartObject sectionDirection, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction on a NXOpen.Face at a NXOpen.Point . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Direction directionExtract, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using an extract NXOpen.Direction with optional NXOpen.Xform . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Point point, NXOpen.Vector3d vector)
 Creates a NXOpen.Direction based upon the parameters used to define the point. More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Face geomObj, NXOpen.Point point, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction normal to a NXOpen.Face at a given NXOpen.Point . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Direction direction, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction reverse to that of given NXOpen.Direction . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Routing.Port port, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction aligned to that of given NXOpen.Routing.Port . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Direction direction1, NXOpen.Direction direction2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction whose direction is given by the cross product of the first input NXOpen.Direction with the second input NXOpen.Direction . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.Point point, NXOpen.Expression exp, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using an NXOpen.Expression . More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.IParameterizedSurface face, NXOpen.Point point, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using the normal of a non-planar NXOpen.Face at a NXOpen.Point More...
 
unsafe NXOpen.Direction CreateDirection (NXOpen.ScCollector faces, NXOpen.Point point, NXOpen.Sense sense, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Direction using the normal of a closest face from NXOpen.ScCollector having NXOpen.Face at a NXOpen.Point . More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Direction .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Direction is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Point3d  origin,
NXOpen.Vector3d  vector,
NXOpen.SmartObject.UpdateOption  update 
)

Creates a NXOpen.Direction without parameters.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
origin
vector
update
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Line  line,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using a NXOpen.Line .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
line
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.IBaseCurve  edge,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using a linear NXOpen.Edge or the axis of a conical NXOpen.Edge .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
edge
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.DatumAxis  datumAxis,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using a NXOpen.DatumAxis .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
datumAxis
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Routing.ControlPoint  startPoint,
NXOpen.Routing.ControlPoint  endPoint,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using two NXOpen.Routing.ControlPoint s.

Created in NX7.5.4

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
startPointThe Routing Control Points (RCPs)
endPointThe Routing Control Points (RCPs)
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Point  startPoint,
NXOpen.Point  endPoint,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using two NXOpen.Point s.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
startPoint
endPoint
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.IParameterizedSurface  face,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using the normal of a NXOpen.Face or the axis of a cylindrical NXOpen.Face .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
face
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.IBasePlane  plane,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using the normal of an NXOpen.IBasePlane .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
planePlane or DatumPlane
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Sketch  plane,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using the normal of a NXOpen.Sketch .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
plane
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Conic  conic,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using the axis of a NXOpen.Conic .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
conic
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.IBaseCurve  icurve,
NXOpen.Scalar  t,
NXOpen.Direction.OnCurveOption  option,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
icurve
t
option
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.IBaseCurve  icurve,
NXOpen.Point  point,
NXOpen.Direction.OnCurveOption  option,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction on a NXOpen.ICurve at a NXOpen.Point .

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
icurve
point
option
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a Direction normal to the NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
bool  absoluteUv,
NXOpen.Direction.OnFaceOption  option,
NXOpen.Direction  sectionDirection,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters with the option of direction on face.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
absoluteUvtrue if u and v are absolute parameters
option
sectionDirectionnecessary when option is NXOpen.Direction.OnFaceOption.Section
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
bool  absoluteUv,
NXOpen.Scalar  sectionAngle,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a sectional NXOpen.Direction on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters and a NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
absoluteUvtrue if u and v are absolute parameters
sectionAngle
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Point  atPoint,
NXOpen.Face  face,
NXOpen.Direction.OnFaceOption  option,
NXOpen.SmartObject  sectionDirection,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction on a NXOpen.Face at a NXOpen.Point .

The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the direction at the projected location.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
atPointA point on curve or an extract point. In case of a non associative point a face must be specified.
faceOptional input
option
sectionDirectionAn object of type NXOpen.Direction or NXOpen.Scalar and is necessary when option is NXOpen.Direction.OnFaceOption.Section
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Direction  directionExtract,
NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using an extract NXOpen.Direction with optional NXOpen.Xform .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
directionExtract
xformOptional Xform
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Point  point,
NXOpen.Vector3d  vector 
)

Creates a NXOpen.Direction based upon the parameters used to define the point.

If the direction can be defined solely by the point then the vector parameter is ignored.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
point
vector
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Face  geomObj,
NXOpen.Point  point,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction normal to a NXOpen.Face at a given NXOpen.Point .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
geomObjNXOpen.Face
pointNXOpen.Point
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Direction  direction,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction reverse to that of given NXOpen.Direction .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
directionNXOpen.Direction
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Routing.Port  port,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction aligned to that of given NXOpen.Routing.Port .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
portNXOpen.Routing.Port
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Direction  direction1,
NXOpen.Direction  direction2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction whose direction is given by the cross product of the first input NXOpen.Direction with the second input NXOpen.Direction .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
direction1
direction2
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.Point  point,
NXOpen.Expression  exp,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using an NXOpen.Expression .

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
point
exp
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.IParameterizedSurface  face,
NXOpen.Point  point,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using the normal of a non-planar NXOpen.Face at a NXOpen.Point

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
face
point
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirection ( NXOpen.ScCollector  faces,
NXOpen.Point  point,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction using the normal of a closest face from NXOpen.ScCollector having NXOpen.Face at a NXOpen.Point .

The normal direction will be calculated on the closest face to the given input point out of the given input faces in the collector. The direction will be shown at the specified input point, normal to the location on this face that is nearest to the input point. The input collector must not contain mixed selection of faces and datum plane. Multiple datum planes are not allowed and the faces in collector must be contiguous. Note: This API should be used only when creating a direction in modeling application.

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling") OR geometric_tol ("GDT")

Parameters
facesThe collector will contain the faces or a datum plane.
pointThe point will be used to calculate closest face and direction will be shown at this point.
sense
updateOption
Returns
unsafe NXOpen.Direction NXOpen.DirectionCollection.CreateDirectionOnPointParentCurve ( NXOpen.Point  atPoint,
NXOpen.IBaseCurve  curve,
NXOpen.Direction.OnCurveOption  option,
NXOpen.Sense  sense,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Direction on a parent NXOpen.ICurve of a NXOpen.Point .

The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the direction at the projected location.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
atPointAn extract point or a non associative point in which case a curve should be specified.
curveOptional NXOpen.Curve or NXOpen.Edge input
option
sense
updateOption
Returns
override int NXOpen.DirectionCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.Direction [] NXOpen.DirectionCollection.ToArray ( )

Returns an array of NXOpen.Direction objects.

Property Documentation

Tag NXOpen.DirectionCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.